Skip to main content
GET
https://{tenantDomain}/api/v2
/
flows
/
vault
/
connections
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Flows.Vault.Connections.GetAsync(
            "id"
        );
    }

}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.flows().vault().connections().get("id");
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
token: '<token>',
);
$client->flows->vault->connections->get(
'id',
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.flows.vault.connections.get(
id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.flows.vault.connections.get(id: "id")
curl --request GET \
--url https://{tenantDomain}/api/v2/flows/vault/connections/{id} \
--header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/flows/vault/connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{tenantDomain}/api/v2/flows/vault/connections/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "id": "<string>",
  "app_id": "<string>",
  "name": "<string>",
  "ready": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "fingerprint": "<string>",
  "environment": "<string>",
  "account_name": "<string>",
  "refreshed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Flows Vault connection ID

Maximum string length: 30

Response

Flow vault connection successfully retrieved.

id
string<flows-vault-connections-id>
required

Flows Vault Connection identifier.

Maximum string length: 30
app_id
string
required

Flows Vault Connection app identifier.

Required string length: 1 - 55
name
string
required

Flows Vault Connection name.

Required string length: 1 - 150
ready
boolean
required

Whether the Flows Vault Connection is configured.

created_at
string<date-time>
required

The ISO 8601 formatted date when this Flows Vault Connection was created.

updated_at
string<date-time>
required

The ISO 8601 formatted date when this Flows Vault Connection was updated.

fingerprint
string
required
Minimum string length: 1
environment
string

Flows Vault Connection environment.

Required string length: 1 - 55
account_name
string

Flows Vault Connection custom account name.

Required string length: 1 - 150
refreshed_at
string<date-time>

The ISO 8601 formatted date when this Flows Vault Connection was refreshed.